%global unique_name eu.tiliado.Nuvola

Name:           nuvola-app-jupiter-broadcasting
Version:        1.1
Release:        2%{?dist}
Summary:        Jupiter Broadcasting plugin for Nuvola Player
License:        BSD and CC-BY
URL:            https://github.com/tiliado/nuvola-app-jupiter-broadcasting
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.5.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch

%description
Integration of Jupiter Broadcasting into your Linux desktop via Nuvola Player.

%prep
%setup -q

# fixes W: spurious-executable-perm
chmod a-x CHANGELOG.md README.md CONTRIBUTING.md integrate.js LICENSE-BSD.txt LICENSE-CC-BY.txt

%build
%configure
%make_build

%install
%make_install

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc CHANGELOG.md README.md
%license LICENSE-BSD.txt LICENSE-CC-BY.txt
%{_datadir}/applications/%{unique_name}AppJupiterBroadcasting.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppJupiterBroadcasting.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/jupiter_broadcasting/


%changelog
* Wed Aug 23 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.1-2
- use the %%configure macro
- DESTDIR=%%{buildroot} is not needed after %%make_install
- fix typo
- Use correct Source0

* Tue Aug 22 2017 Martin Gansser <martinkg@fedoraproject.org> - 1.1-1
- initial build
